from django.utils.translation import gettext as _

from aleksis.core.models import Group

# Dynamically add extra permissions to Group model in core
# Note: requires migrate afterwards
Group.add_permission("view_efforts_group", _("Can view all efforts of a group"))
Group.add_permission("manage_efforts_group", _("Can manage all efforts of a group"))
Group.add_permission("view_grades_group", _("Can view all grades of a group"))
Group.add_permission("manage_grades_group", _("Can manage all grades of a group"))
